aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-08-22 00:04:01 +0000
committerMichael Mason <ms13sp@gmail.com>2009-08-22 00:04:01 +0000
commit573d5574fb14d2a2bf4971fcf4f3160ad4d7119a (patch)
treea417221d3ac76a7e456463e7ed6964896049f092
parent5ecc96ccbafcfc1916d7623a976833fc5d45fc4c (diff)
parentc95c7923ee7150cc152ab8ed72544eded4cfdff4 (diff)
downloadaports-573d5574fb14d2a2bf4971fcf4f3160ad4d7119a.tar.gz
aports-573d5574fb14d2a2bf4971fcf4f3160ad4d7119a.tar.bz2
aports-573d5574fb14d2a2bf4971fcf4f3160ad4d7119a.tar.xz
Merge branch 'master' of git://git.alpinelinux.org/aports
-rw-r--r--main/dansguardian/APKBUILD12
-rw-r--r--main/dansguardian/dansguardian.logrotate15
-rw-r--r--main/e2fsprogs/APKBUILD3
-rw-r--r--main/e2fsprogs/e2fsprogs.post-upgrade4
-rw-r--r--main/xdelta3/APKBUILD27
-rw-r--r--main/xdelta3/xdelta3-makefile.patch33
-rw-r--r--main/xdelta3/xdelta3-xz.patch12
-rw-r--r--x11/geany/APKBUILD24
-rw-r--r--x11/qemu/APKBUILD42
-rw-r--r--x11/qemu/qemu-0.10.3-nopl-fix.patch32
-rw-r--r--x11/qemu/qemu.pre-install3
-rw-r--r--x11/sdl/APKBUILD3
12 files changed, 202 insertions, 8 deletions
diff --git a/main/dansguardian/APKBUILD b/main/dansguardian/APKBUILD
index 7bfc328148..8e15b043c9 100644
--- a/main/dansguardian/APKBUILD
+++ b/main/dansguardian/APKBUILD
@@ -2,22 +2,22 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dansguardian
pkgver=2.10.1.1
-pkgrel=0
+pkgrel=1
pkgdesc="Web content filter"
url="http://dansguardian.org"
license="GPL"
-depends=
+depends="logrotate"
makedepends="zlib-dev uclibc++-dev pcre-dev pkgconfig libiconv-dev"
install="$pkgname.pre-install $pkgname.post-install"
subpackages="$pkgname-doc"
source="http://dansguardian.org/downloads/2/Stable/$pkgname-$pkgver.tar.gz
dansguardian.initd
- $install
+ dansguardian.logrotate
"
build() {
cd "$srcdir/$pkgname-$pkgver"
- export CXX=g++-uc
+ export CXX=${CXX_UC:-g++-uc}
./configure --prefix=/usr \
--sysconfdir=/etc \
@@ -32,9 +32,9 @@ build() {
make DESTDIR="$pkgdir" install
install -D -m 755 ../dansguardian.initd "$pkgdir"/etc/init.d/dansguardian
+ install -D -m 644 ../dansguardian.logrotate "$pkgdir"/etc/logrotate.d/dansguardian
}
md5sums="0987a1c9bfbdf398118386f10279611a dansguardian-2.10.1.1.tar.gz
0c04f74cd5db9fc7a8e80b407ec34214 dansguardian.initd
-ab4e1104633aad0595a8b530fceb810a dansguardian.pre-install
-e3dcc0f51e44f15a2ff152ac338999d1 dansguardian.post-install"
+85b6de01c9508e8ceff5ebb55752f8d3 dansguardian.logrotate"
diff --git a/main/dansguardian/dansguardian.logrotate b/main/dansguardian/dansguardian.logrotate
new file mode 100644
index 0000000000..001d955450
--- /dev/null
+++ b/main/dansguardian/dansguardian.logrotate
@@ -0,0 +1,15 @@
+/var/log/dansguardian/*.log {
+ rotate 4
+ weekly
+ missingok
+ notifempty
+ nocreate
+ nocopy
+ nocopytruncate
+ compress
+
+ postrotate
+ /usr/sbin/dansguardian -r
+ endscript
+}
+
diff --git a/main/e2fsprogs/APKBUILD b/main/e2fsprogs/APKBUILD
index 41ad9a0bd3..12cb2ffe54 100644
--- a/main/e2fsprogs/APKBUILD
+++ b/main/e2fsprogs/APKBUILD
@@ -1,11 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=e2fsprogs
pkgver=1.41.8
-pkgrel=1
+pkgrel=2
pkgdesc="Standard Ext2/3/4 filesystem utilities"
url="http://e2fsprogs.sourceforge.net"
license="GPL LGPL MIT"
depends=
+install="$pkgname.post-upgrade"
makedepends="util-linux-ng-dev pkgconfig"
subpackages="$pkgname-dev $pkgname-doc libcom_err"
source="http://downloads.sourceforge.net/sourceforge/e2fsprogs/e2fsprogs-$pkgver.tar.gz"
diff --git a/main/e2fsprogs/e2fsprogs.post-upgrade b/main/e2fsprogs/e2fsprogs.post-upgrade
new file mode 100644
index 0000000000..d7062db5a7
--- /dev/null
+++ b/main/e2fsprogs/e2fsprogs.post-upgrade
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+# we no longer provide fsck. restore bb link.
+busybox --install -s
diff --git a/main/xdelta3/APKBUILD b/main/xdelta3/APKBUILD
new file mode 100644
index 0000000000..fece127a66
--- /dev/null
+++ b/main/xdelta3/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xdelta3
+pkgver=3.0v
+pkgrel=0
+pkgdesc="A diff utility which works with binary files"
+url="http://xdelta.org/"
+license="GPL"
+depends=
+makedepends=
+source="http://xdelta.googlecode.com/files/$pkgname.0v.tar.gz
+ $pkgname-makefile.patch
+ $pkgname-xz.patch"
+
+build ()
+{
+ cd $srcdir/xdelta$pkgver
+ patch -Np1 -i $srcdir/xdelta3-makefile.patch
+ patch -Np1 -i $srcdir/xdelta3-xz.patch
+ make xdelta3 || return 1
+ install -D xdelta3 "$pkgdir"/usr/bin/xdelta3
+# python ./setup.py install --root "$pkgdir"
+# make xdelta3module.so || return 1
+# install -m644 {xdelta3.py,xdelta3module.so} "$pkgdir"/usr/lib/python2.6/site-packages
+}
+md5sums="6b5faeb88028a1211cb047e49b687a3a xdelta3.0v.tar.gz
+35aa0d20a27791addeb929591a78bd3f xdelta3-makefile.patch
+fb1e685d810a15f04b7bdbc9a3f3e635 xdelta3-xz.patch"
diff --git a/main/xdelta3/xdelta3-makefile.patch b/main/xdelta3/xdelta3-makefile.patch
new file mode 100644
index 0000000000..f7fc6a657d
--- /dev/null
+++ b/main/xdelta3/xdelta3-makefile.patch
@@ -0,0 +1,33 @@
+diff -Naur xdelta3.0v-old/Makefile xdelta3.0v/Makefile
+--- xdelta3.0v-old/Makefile 2009-03-12 01:44:51.000000000 +0000
++++ xdelta3.0v/Makefile 2009-03-14 17:02:33.000000000 +0000
+@@ -4,7 +4,7 @@
+ UNAME = $(shell uname)
+ CYGWIN = $(findstring CYGWIN, $(UNAME))
+ DARWIN = $(findstring Darwin, $(UNAME))
+-PYVER = 2.5
++PYVER = 2.6
+
+ ifeq ("$(CYGWIN)", "")
+ SWIGTGT = xdelta3module.so
+@@ -200,6 +200,9 @@
+ xdelta3.o: $(SOURCES)
+ $(CC) -O3 $(CFLAGS) -c xdelta3.c $(SWIG_FLAGS) -o xdelta3.o
+
++xdelta3_PIC.o: $(SOURCES)
++ $(CC) -O3 $(CFLAGS) -fPIC -c xdelta3.c $(SWIG_FLAGS) -o xdelta3_PIC.o
++
+ xdelta3_wrap.o: xdelta3_wrap.c
+ $(CC) -O3 $(CFLAGS) $(SWIG_FLAGS) \
+ -DHAVE_CONFIG_H \
+@@ -218,8 +221,8 @@
+ cp $(SWIGTGT) /usr/lib/python$(PYVER)/site-packages
+
+ ifeq ("$(DARWIN)", "")
+-xdelta3module.so: xdelta3_wrap.o xdelta3.o
+- ld -shared xdelta3.o xdelta3_wrap.o \
++xdelta3module.so: xdelta3_wrap.o xdelta3_PIC.o
++ cc -shared xdelta3_PIC.o xdelta3_wrap.o \
+ -o xdelta3module.so \
+ /usr/lib/libpython$(PYVER).so \
+ -lc
diff --git a/main/xdelta3/xdelta3-xz.patch b/main/xdelta3/xdelta3-xz.patch
new file mode 100644
index 0000000000..3527406c16
--- /dev/null
+++ b/main/xdelta3/xdelta3-xz.patch
@@ -0,0 +1,12 @@
+diff -ruNa a/xdelta3-main.h b/xdelta3-main.h
+--- a/xdelta3-main.h 2009-01-30 05:59:02.000000000 +0100
++++ b/xdelta3-main.h 2009-05-13 12:43:00.000000000 +0200
+@@ -355,6 +355,7 @@
+ RD_NONEXTERNAL },
+ { "bzip2", "-cf", "bzip2", "-dcf", "B", "BZh", 3, 0 },
+ { "gzip", "-cf", "gzip", "-dcf", "G", "\037\213", 2, 0 },
++ { "xz", "-cf", "xz", "-dcf", "Y", "\xfd\x37\x7a\x58\x5a\x00", 2, 0 },
+ { "compress", "-cf", "uncompress", "-cf", "Z", "\037\235", 2, 0 },
+
+ /* TODO: add commandline support for magic-less formats */
+
diff --git a/x11/geany/APKBUILD b/x11/geany/APKBUILD
new file mode 100644
index 0000000000..cb1f4b9a4d
--- /dev/null
+++ b/x11/geany/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=geany
+pkgver=0.18
+pkgrel=0
+pkgdesc="A fast and lightweight IDE"
+url="http://www.geany.org"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="gtk+-dev intltool perl-xml-parser vte-dev"
+depends=
+depends_dev="gtk+-dev"
+install=
+source="http://download.$pkgname.org/$pkgname-$pkgver.tar.gz"
+
+build()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ sed -i 's|MimeType=text/plain;|MimeType=|' geany.desktop || return 1
+ sed -i 's|Sh=|Sh=APKBUILD;|' data/filetype_extensions.conf || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="e5d4075dcb486d3cec958c2bac9ce8f4 geany-0.18.tar.gz"
diff --git a/x11/qemu/APKBUILD b/x11/qemu/APKBUILD
new file mode 100644
index 0000000000..f451eec7c4
--- /dev/null
+++ b/x11/qemu/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=qemu
+pkgver=0.10.6
+pkgrel=0
+pkgdesc="QEMU is a generic machine emulator and virtualizer"
+url="http://www.nongnu.org/qemu/"
+license="GPL-2 LGPL-2"
+makedepends="zlib-dev sdl-dev alsa-lib-dev gnutls-dev"
+depends=
+install="qemu.pre-install"
+source="http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.gz
+ qemu-0.10.3-nopl-fix.patch"
+
+build()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ # avoid fdt till an updated release appears
+ sed -i -e 's:fdt="yes":fdt="no":' configure
+ # prevent docs to get automatically installed
+ sed -i '/$(DESTDIR)$(docdir)/d' Makefile
+ # Alter target makefiles to accept CFLAGS
+ sed -i 's/^\(C\|OP_C\|HELPER_C\)FLAGS=/\1FLAGS+=/' \
+ Makefile Makefile.target tests/Makefile
+ sed -i 's/^VL_LDFLAGS=$/VL_LDFLAGS=-Wl,-z,execheap/' \
+ Makefile.target
+ patch -p0 -i ../qemu-0.10.3-nopl-fix.patch || return 1
+ export CFLAGS="$CFLAGS -fno-pie -fno-stack-protector"
+
+ ./configure --prefix=/usr \
+ --audio-drv-list=oss,alsa,sdl \
+ --audio-card-list=ac97,sb16,es1370,adlib \
+ --disable-darwin-user \
+ --disable-bsd-user \
+ --disable-kqemu \
+ --cc="$CC"
+
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="e28f4b2d6faef178da44c03224feecb6 qemu-0.10.6.tar.gz
+aef31109b7cde6e31b9dac37c3f8a033 qemu-0.10.3-nopl-fix.patch"
diff --git a/x11/qemu/qemu-0.10.3-nopl-fix.patch b/x11/qemu/qemu-0.10.3-nopl-fix.patch
new file mode 100644
index 0000000000..bdef0efc35
--- /dev/null
+++ b/x11/qemu/qemu-0.10.3-nopl-fix.patch
@@ -0,0 +1,32 @@
+--- i386-dis.c 2009-03-22 00:05:48.000000000 +0100
++++ i386-dis_new.c 2009-04-21 08:31:08.000000000 +0200
+@@ -784,13 +784,13 @@
+ { "movhpX", EX, XM, SIMD_Fixup, 'l' },
+ /* 18 */
+ { GRP14 },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
+- { "(bad)", XX, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
++ { "nopQ", Ev, XX, XX },
+ /* 20 */
+ { "movL", Rm, Cm, XX },
+ { "movL", Rm, Dm, XX },
+@@ -1072,7 +1072,7 @@
+ /* 0 1 2 3 4 5 6 7 8 9 a b c d e f */
+ /* ------------------------------- */
+ /* 00 */ 1,1,1,1,0,0,0,0,0,0,0,0,0,1,0,1, /* 0f */
+- /* 10 */ 1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0, /* 1f */
++ /* 10 */ 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1, /* 1f */
+ /* 20 */ 1,1,1,1,1,0,1,0,1,1,1,1,1,1,1,1, /* 2f */
+ /* 30 */ 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0, /* 3f */
+ /* 40 */ 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1, /* 4f */
diff --git a/x11/qemu/qemu.pre-install b/x11/qemu/qemu.pre-install
new file mode 100644
index 0000000000..42ec0482c9
--- /dev/null
+++ b/x11/qemu/qemu.pre-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+addgroup kvm
diff --git a/x11/sdl/APKBUILD b/x11/sdl/APKBUILD
index 421c8f9ec3..3a4a71b0d6 100644
--- a/x11/sdl/APKBUILD
+++ b/x11/sdl/APKBUILD
@@ -1,12 +1,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sdl
pkgver=1.2.13
-pkgrel=0
+pkgrel=1
pkgdesc="A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard"
url="http://www.libsdl.org"
license="LGPL"
subpackages="$pkgname-dev $pkgname-doc"
depends=
+depends_dev="libx11-dev"
makedepends="libxext-dev libxrender-dev libx11-dev libice-dev libsm-dev
libxrandr-dev mesa-dev alsa-lib-dev"
source="http://www.libsdl.org/release/SDL-$pkgver.tar.gz"